org.apache.http.impl.conn.tsccm

## Class BasicPooledConnAdapter

- java.lang.Object
- - org.apache.http.impl.conn.AbstractClientConnAdapter
  - - org.apache.http.impl.conn.AbstractPooledConnAdapter
    - - org.apache.http.impl.conn.tsccm.BasicPooledConnAdapter

- All Implemented Interfaces:
    Closeable ， AutoCloseable ， ConnectionReleaseTrigger ， HttpRoutedConnection ， ManagedClientConnection ， ManagedHttpClientConnection ， HttpClientConnection ， HttpConnection ， HttpInetConnection ， HttpContext

  已过时。
  （4.2）不要使用

      @Deprecated
      public class BasicPooledConnAdapter
      extends AbstractPooledConnAdapter

  一个连接包装器和回调处理程序。 经理给出的所有连接都是封装的，可以通过`detach`进行编辑，以防止在发布时进一步使用。
  从以下版本开始：
    4

- - ### Field Summary

    - ### Fields inherited from class org.apache.http.impl.conn.AbstractPooledConnAdapter

      `poolEntry`

    - ### Fields inherited from interface org.apache.http.protocol.HttpContext

      `RESERVED_PREFIX`

  - ### 构造方法摘要

    构造方法
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BasicPooledConnAdapter(ThreadSafeClientConnManager tsccm, AbstractPoolEntry entry)` 已过时。 创建一个新的适配器。

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `detach()` 已过时。 从包装的连接中分离此适配器。
    `protected ClientConnectionManager` | `getManager()` 已过时。
    `protected AbstractPoolEntry` | `getPoolEntry()` 已过时。 获取池条目。

    - ### Methods inherited from class org.apache.http.impl.conn.AbstractPooledConnAdapter

      `assertAttached, assertValid, close, getId, getRoute, getState, layerProtocol, open, setState, shutdown, tunnelProxy, tunnelTarget`

    - ### Methods inherited from class org.apache.http.impl.conn.AbstractClientConnAdapter

      `abortConnection, assertNotAborted, assertValid, bind, flush, getAttribute, getLocalAddress, getLocalPort, getMetrics, getRemoteAddress, getRemotePort, getSocket, getSocketTimeout, getSSLSession, getWrappedConnection, isMarkedReusable, isOpen, isReleased, isResponseAvailable, isSecure, isStale, markReusable, receiveResponseEntity, receiveResponseHeader, releaseConnection, removeAttribute, sendRequestEntity, sendRequestHeader, setAttribute, setIdleDuration, setSocketTimeout, unmarkReusable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### 构造方法详细信息

    - #### BasicPooledConnAdapter

          protected BasicPooledConnAdapter(ThreadSafeClientConnManager tsccm,
                                AbstractPoolEntry entry)

      已过时。
      创建一个新的适配器。
      参数
        `tsccm` - 连接管理器
        `entry` - 正在包装的连接的池条目

  - ### 方法详细信息

    - #### getManager

          protected ClientConnectionManager getManager()

      已过时。
      重写：
        `getManager`在 `AbstractClientConnAdapter`

    - #### getPoolEntry

          protected AbstractPoolEntry getPoolEntry()

      已过时。
      描述从类别`AbstractPooledConnAdapter`复制
      获取池条目。
      重写：
        `getPoolEntry`在 `AbstractPooledConnAdapter`
      结果
        池条目，或 `null`如果分离

    - #### detach

          protected void detach()

      已过时。
      描述从类别`AbstractPooledConnAdapter`复制
      从包装的连接中分离此适配器。 这个适配器变得没用了。
      重写：
        `detach`在 `AbstractPooledConnAdapter`

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585